Skip to main content
GET
/
v2
/
external
/
verticales
/
categories
cURL
curl --request GET \
  --url https://staging.api.eu-west-3.lokki.rent/v2/external/verticales/categories \
  --header 'x-access-token: <api-key>'
import requests

url = "https://staging.api.eu-west-3.lokki.rent/v2/external/verticales/categories"

headers = {"x-access-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};

fetch('https://staging.api.eu-west-3.lokki.rent/v2/external/verticales/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 10,
  "docs": [
    {
      "id": "61e7b8f9e4b0c8a1d4f3c2b1",
      "infos": {
        "name": "Mountain Bike",
        "verticale": {
          "id": "BIKE",
          "name": "Vélo"
        }
      },
      "meta": {
        "isOptions": false,
        "isDefault": true
      }
    }
  ]
}
Retrieve a list of categories. You can filter categories by Verticale using the verticale.equals or verticale.in query parameters.

Authorizations

x-access-token
string
header
required

Query Parameters

skip
number
default:0

Number of documents to skip

Required range: x >= 0
limit
number
default:100

Maximum number of documents to return

Required range: 0 <= x <= 100
sort

Sort order for the results. Use '__asc' or '__desc' suffix to specify ascending or descending order respectively. Example: 'name__asc'

fields

Fields to include in the response

verticale.in

Filter entries that match any of the specified values

verticale.notIn

Filter entries that do not match any of the specified values

verticale.equals
string

Filter entries that have a specific value

verticale.notEquals
string

Filter entries that do not have a specific value

lang
enum<string>

Language for localized content

Available options:
fr,
en,
nl,
de,
it,
pt,
es,
pl

Response

200 - application/json
total
number
required

Total number of categories matching the query

Required range: x >= 0
Example:

10

docs
object[]
required

List of categories matching the query